Commet
  • Pricing
Log InTry out
Activate add-on POSTCreate add-on POSTDeactivate add-on DELETEDelete add-on DELETEGet add-on GETList active add-ons GETList add-ons GETUpdate add-on PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Activate add-on

Activate an add-on on a subscription. Charges a prorated amount for the current billing period.

Create add-on POST

Create a new add-on linked to a feature. Each feature can only be assigned to one add-on.

POST
/subscriptions/{id}/addons

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

addonId*string
Length1 <= length

Response Body

application/json

application/json

curl -X POST "https://commet.co/api/v1/subscriptions/string/addons" \  -H "Content-Type: application/json" \  -d '{    "addonId": "string"  }'

application/json

application/json

application/json

Addon public ID

Activate an add-on on a subscription. Charges a prorated amount for the current billing period.

Subscription public ID

{
  "success": true,
  "data": {
    "object": "addon",
    "livemode": true,
    "addonId": "string",
    "status": "active",
    "proratedCharge": 0
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}